Name: gdk-pixbuf
Version: 0.18.0
Release: alt2

Summary: An image loading and rendering library for Gdk
Group: System/Libraries
License: LGPL
Url: http://www.gnome.org/
Packager: AEN <aen@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%name/%name-%version.tar.bz2
# MDK patches
Patch0:  gdk-pixbuf-demolink.patch
# (fc) 0.18.0-1mdk don't add -Llibdir to gdk-pixbuf-config --libs
Patch1:  gdk-pixbuf-0.18.0-libdir.patch


Patch2: %name-0.16.0-xbmcrash.patch

Requires: %name-loaders = %version-%release

BuildRequires: gtk-doc >= 0.6
BuildRequires: XFree86-devel XFree86-utils XFree86-Xvfb
BuildRequires: docbook-dtds docbook-style-dsssl docbook-utils
BuildRequires: esound-devel glib-devel gnome-libs-devel gtk+-devel
BuildRequires: libjpeg-devel libpng-devel libtiff-devel
BuildRequires: openjade sgml-common
BuildRequires: zlib-devel

%package loaders
Summary: An image loading and rendering library for Gdk
Group: System/Libraries

%package gnomecanvas
Summary: An image loading and rendering library for Gdk
Group: System/Libraries
Requires: %name-loaders = %version-%release

%package xlib
Summary: An image loading and rendering library for Gdk
Group: System/Libraries
Requires: %name-loaders = %version-%release

%package devel
Summary: Development tools for GdkPixBuf applications
Group: Development/GNOME and GTK+
Requires: %name = %version-%release
Requires: %name-gnomecanvas = %version-%release

%package devel-static
Summary: Static libraries for GdkPixBuf applications development
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release

%description
The GdkPixBuf library provides a number of features:
+ Image loading facilities.
+ Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.

%description loaders
The GdkPixBuf library provides a number of features:
+ Image loading facilities.
+ Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.

This package provides image loaders used by all versions of GdkPixBuf.

%description gnomecanvas
The GdkPixBuf library provides a number of features:
+ Image loading facilities.
+ Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.

This package provides GTK version of %name.

%description xlib
The GdkPixBuf library provides a number of features:
+ Image loading facilities.
+ Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.

This package provides Xlib version of %name.

%description devel
The include files and documentation needed for developing GdkPixBuf
applications. GdkPixBuf is an image loading and rendering library
for Gdk.

%description devel-static
The static libraries needed for developing statically linked
GdkPixBuf applications. GdkPixBuf is an image loading and rendering
library for Gdk.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1

%build

%configure

DISPNUM=90
while [ -f /tmp/.X$DISPNUM-lock ]; do
    DISPNUM=$[DISPNUM+1]
done
DISPLAY=:$DISPNUM
XAUTHORITY=$(mktemp -t Xauthority.XXXXXXXX)
export XAUTHORITY
xauth add $DISPLAY . $(mcookie)
%_x11bindir/Xvfb -nolisten tcp $DISPLAY &
XVFBPID=$!
export DISPLAY

%make_build

kill $XVFBPID
%__rm -f "$XAUTHORITY"

%install
%makeinstall libexecdir=$RPM_BUILD_ROOT%_libdir/%name/loaders

# (fg) timescale is in a strange place...
install -p -m755 %name/pixops/timescale $RPM_BUILD_ROOT%_bindir

%find_lang %name

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post xlib -p /sbin/ldconfig
%postun xlib -p /sbin/ldconfig

%post gnomecanvas -p /sbin/ldconfig
%postun gnomecanvas -p /sbin/ldconfig

%post loaders -p /sbin/ldconfig
%postun loaders -p /sbin/ldconfig

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_libdir/libgdk_pixbuf.so.*
%_bindir/timescale
%dir %_libdir/%name
%dir %_libdir/%name/loaders

%files loaders
%_libdir/%name/loaders/*.so*

%files xlib
%_libdir/*xlib.so.*

%files gnomecanvas
%_libdir/*gnomecanvas*.so.*

%files devel
%_bindir/*-config
%_libdir/*.la
%_libdir/%name/loaders/*.la
%_libdir/libgdk*.so
%_libdir/libgnome*.so
%_includedir/%name-1.0/%name
%_datadir/aclocal/*
%_libdir/*.sh
%doc %_datadir/gnome/html/*

%files devel-static
%_libdir/*.a
%_libdir/%name/loaders/*.a

%changelog
* Wed Feb  5 2003 Alexander V. Nikolaev <avn@altlinux.ru> 0.18.0-alt2
- Add missing depends for -devel
- Add packager tag

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 0.18.0-alt1
- new version

* Tue May 14 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.17.0-alt1
- 0.17.0
- loaders in a dedicated directory
- rebuilt BuildRequires
- wiped out requires from gdk-pixbuf-devel: half were crazy,
  the other half obvious
- removed redundant HTML docs from the main package

* Mon Apr 08 2002 Sergey Vlasov <vsu@altlinux.ru> 0.16.0-alt2
- fixed XBM loader crash on invalid files

* Wed Jan 23 2002 AEN <aen@logic.ru> 0.16.0-alt1
- new version

* Mon Jan 21 2002 AEN <aen@logic.ru> 0.15.0-alt1
- new version

* Fri Dec 14 2001 AEN <aen@logic.ru> 0.14.0-alt1
- new release 

* Fri Nov 09 2001 AEN <aen@logic.ru> 0.13.0-alt2
- remove gnome-libs from devel Requires

* Fri Oct 26 2001 AEN <aen@logic.ru> 0.13.0-alt1
- new version

* Thu Oct 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.0-alt3
- Updated package requires.
- Rebuilt with libpng.so.3

* Tue May 15 2001 Dmitry V. Levin <ldv@altlinux.ru> 0.11.0-alt2
- Moved static libraries to devel-static subpackage.

* Fri May 11 2001 AEN <aen@logic.ru> 0.11.0-alt1
- new version

* Wed Mar 14 2001 AEN <aen@logic.ru> 0.10.1-ipl1mdk
- new version

* Sun Jan 07 2001 Dmitry V. Levin <ldv@fandra.org> 0.9.0-ipl4mdk
- Specfile cleanup.

* Mon Nov 28 2000 AEN <aen@logic.ru>
- build for RE

* Wed Sep 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-2mdk
- Split package in 3 flavors : Xlib, gtk, Gnome

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- Release 0.9.0
- more macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-2mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- release 0.8.0
- BM
- use make macro

* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release for gnome-core 1.1.9 from helix.
- stable version
- add doc files

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-6mdk
- having some problems to build 1.1.8 on top of gdk_pixbuf 0.7.0
- retro build.

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release 0.7.0

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-5mdk
- The <LIBRARY>Conf.sh missing file cause gnome-core failed at building!
- SMP build/check

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-4mdk
- rebuild for near future gnome (used in Helix).
- build with %prefix is suitable
- many minor changes in file sections

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-3mdk

- Changed group for -devel
- Some spec file corrections

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-2mdk

- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 0.6.0-1mdk

- 0.6.0
- Changed group to match those of 7.1
- Spec file corrections
- Let spec-helper do its job

* Mon Jan 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.5.0

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First mandrake package

